Loading...
Searching...
No Matches
sdbus::MethodVTableItem Struct Reference

## Public Member Functions

template<typename _Function>
MethodVTableItem & | implementedAs (_Function &&callback)
MethodVTableItem & | withInputParamNames (std::vector< std::string > names)
template<typename... _String>
MethodVTableItem & | withInputParamNames (_String... names)
MethodVTableItem & | withOutputParamNames (std::vector< std::string > names)
template<typename... _String>
MethodVTableItem & | withOutputParamNames (_String... names)
MethodVTableItem & | markAsDeprecated ()
MethodVTableItem & | markAsPrivileged ()
MethodVTableItem & | withNoReply ()

## Public Attributes

MethodName | name
Signature | inputSignature
std::vector< std::string > | inputParamNames
Signature | outputSignature
std::vector< std::string > | outputParamNames
method_callback | callbackHandler
Flags | flags

The documentation for this struct was generated from the following files:

- include/sdbus-c++/VTableItems.h
- include/sdbus-c++/VTableItems.inl